## ros-lunar-hostapd-access-point 1.0.15

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(hostapd_access_point)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS rospy access_point_control dynamic_reconfigure ieee80211_channels)

# include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})
# CATKIN_MIGRATION: removed during catkin migration
# cmake_minimum_required(VERSION 2.4.6)

# CATKIN_MIGRATION: removed during catkin migration
# include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)

# Set the build type.  Options are:
#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
#  Debug          : w/ debug symbols, w/o optimization
#  Release        : w/o debug symbols, w/ optimization
#  RelWithDebInfo : w/ debug symbols, w/ optimization
#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
#set(ROS_BUILD_TYPE RelWithDebInfo)


# CATKIN_MIGRATION: removed during catkin migration
# rosbuild_init()

#set the default path for built executables to the "bin" directory
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

## Generate added messages and services with any dependencies listed here




#generate_messages(
#    #TODO DEPENDENCIES rospy access_point_control dynamic_reconfigure ieee80211_channels hostapd
#)

# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
# TODO: fill in what other packages will need to use this package
catkin_package(
    DEPENDS rospy access_point_control dynamic_reconfigure ieee80211_channels 
    CATKIN_DEPENDS # TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)


install(FILES hostapd.launch  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(PROGRAMS nodes/ap_hostapd_node.py scripts/hwsim_nat_setup.sh scripts/find_hwsim_iface.py
 DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY nodes scripts  
 DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-lunar-hostapd-access-point (1.0.15-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 19 Mar 2019 07:00:00 -0000

ros-lunar-hostapd-access-point (1.0.13-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 18 Mar 2019 07:00:00 -0000

ros-lunar-hostapd-access-point (1.0.12-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 26 Feb 2019 08:00:00 -0000

ros-lunar-hostapd-access-point (1.0.9-0xenial) xenial; urgency=high

  * Fixed hostapd
  * Fixed hostapd_access_point install
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 14 Oct 2014 07:00:00 -0000

ros-lunar-hostapd-access-point (1.0.8-0xenial) xenial; urgency=high

  * Removed rosbuild files
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 10 Oct 2014 07:00:00 -0000

ros-lunar-hostapd-access-point (1.0.7-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 10 Oct 2014 07:00:00 -0000

ros-lunar-hostapd-access-point (1.0.6-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 10 Oct 2014 07:00:00 -0000

ros-lunar-hostapd-access-point (1.0.5-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 06 Oct 2014 07:00:00 -0000

ros-lunar-hostapd-access-point (1.0.4-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 03 Oct 2014 07:00:00 -0000

ros-lunar-hostapd-access-point (1.0.3-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 03 Oct 2014 07:00:00 -0000

ros-lunar-hostapd-access-point (1.0.2-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 03 Oct 2014 07:00:00 -0000

=== debian/control ===
Source: ros-lunar-hostapd-access-point
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-access-point-control, ros-lunar-catkin, ros-lunar-dynamic-reconfigure, ros-lunar-ieee80211-channels, ros-lunar-rospy
Homepage: http://ros.org/wiki/hostapd_access_point
Standards-Version: 3.9.2

Package: ros-lunar-hostapd-access-point
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-access-point-control, ros-lunar-dynamic-reconfigure, ros-lunar-ieee80211-channels, ros-lunar-rospy
Description: A ROS node that controls a hostapd-based access point.
 It is mainly intended for use with a wireless network adapter running in master mode. It implements the dynamic_reconfigure interface defined in the [[access_point_control]] package.
